/**
 * 防抖
 * @param fn    函数
 * @param delay  等待时间
 * @returns {function(...[*]=)}
 */
// 防抖定时函数
let debounceTimer = null;
export function debounce(fn, delay = 1000){
  return () => {
    if(debounceTimer){
      clearTimeout(debounceTimer) //进入该分支语句，说明当前正在一个计时过程中，并且又触发了相同事件。所以要取消当前的计时，重新开始计时
      debounceTimer = setTimeout(fn,delay)
    }else{
      debounceTimer = setTimeout(fn,delay) // 进入该分支说明当前并没有在计时，那么就开始一个计时
    }
  }
}
